import ExplorationError from 'components/Exploration/ExplorationError'
import { shallow } from 'enzyme'
import React from 'react'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

const mockedNavigate = jest.fn()
jest.mock('react-router-dom', () => ({
  ...jest.requireActual('react-router-dom'),
  useNavigate: () => mockedNavigate,
}))

describe('ExplorationError component', () => {
  it('should be rendered correctly', () => {
    const component = shallow(<ExplorationError />).getElement
    expect(component).toMatchSnapshot()
  })
})
