import ConfigService from './fluidConfig.service'

describe('ConfigService service', () => {
  const configService = new ConfigService()
  describe('getFluidConfig', () => {
    it('should return an array with the fluid config', () => {
      const result = configService.getFluidConfig()
      expect(result).toBeDefined()
    })
  })
  describe('getCronArgs', () => {
    it('should return the args of a cron', () => {
      const max = 5
      const min = 5
      const result = configService.getCronArgs(min, max)
      expect(typeof result).toEqual('string')
    })
  })
})
