import { ReactWrapper } from 'enzyme'
import { act } from 'react-dom/test-utils'

export const waitForComponentToPaint = async <TP extends any = {}>(
  wrapper: ReactWrapper<TP>
): Promise<void> => {
  await act(async () => {
    await new Promise(resolve => setTimeout(resolve, 0))
    wrapper.update()
  })
}
